Workflows

List workflow versions

GET
/workflows/{workflow_id}/versions

List every published version of one workflow, newest first.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

workflow_id*string

Resource identifier: workflow_id.

Formatuuid

Query Parameters

cursor?string

Opaque continuation cursor from the previous response.

Lengthlength <= 2048
limit?integer

Filter or parameter: limit.

Range1 <= value <= 100
Default50

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/workflows/123e4567-e89b-42d3-a456-426614174000/versions"
{  "items": [    {      "id": "123e4567-e89b-42d3-a456-426614174000",      "version": 0,      "change_note": "Initial version",      "created_by": {        "id": "123e4567-e89b-42d3-a456-426614174000",        "email": "ada@example.com",        "name": "Customer documents",        "image_url": "example"      },      "created_at": "2026-09-04T12:00:00Z"    }  ],  "next_cursor": null}